package jp.gihyo.mitoma.android.p011login;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import java.util.ArrayList;

public class LoginActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //自画面の生成
        setContentView(R.layout.login);

        //ボタンへのイベントリスナーの登録
        Button button = findViewById(R.id.btLogin);
        button.setOnClickListener(new LoginListener());
    }

    private class LoginListener implements View.OnClickListener {
        public void onClick(View view) {
            LoginAction action =new LoginAction(LoginActivity.this);
            action.exec(view);
        }
    }
}